<div class="skill-review__banner">
  <AssessmentBanner @title={{this.title}} @displayHomeLink={{false}} />
</div>

<main role="main">
  {{#if this.showDisabledBlock}}
    <PixBlock class="skill-review__result-abstract-container">
      <div class="skill-review__disabled-share">
        <img class="skill-review-disabled-share__image" src="/images/illustrations/fat-bee.svg" alt="" role="none" />
        <p class="skill-review-disabled-share__text">
          {{t "pages.skill-review.disabled-share" htmlSafe=true}}
        </p>
        <LinkTo @route="authenticated" class="skill-review-share__back-to-home link">
          {{t "pages.skill-review.actions.continue"}}
        </LinkTo>
      </div>
    </PixBlock>
  {{else}}
    <PixBlock class="skill-review__result-abstract-container">
      <div class="skill-review__result-and-action">
        <h2 class="sr-only">{{t "pages.skill-review.abstract-title"}}</h2>
        {{#if this.showStages}}
          <ReachedStage
            @stageCount={{this.stageCount}}
            @starCount={{this.reachedStage.starCount}}
            @masteryRate={{this.masteryRate}}
            @imageUrl={{@model.campaign.targetProfileImageUrl}}
          />
        {{/if}}

        <div class="skill-review__share">
          {{#if this.showStages}}
            <div class="skill-review-share__stage-congrats">
              <div class="stage-congrats__title">
                {{text-with-multiple-lang this.reachedStage.title}}
              </div>
              <div class="stage-congrats__message">
                <MarkdownToHtml @markdown={{this.reachedStage.message}} />
              </div>
            </div>
          {{else}}
            {{#if this.isFlashCampaign}}
              <p class="rounded-panel-title skill-review-result-abstract__text">
                {{t "pages.skill-review.flash.abstract"}}
              </p>
              <p class="rounded-panel-title skill-review-result-abstract__subtext">
                {{t "pages.skill-review.flash.pixScore" score=this.flashPixScore}}
                <br />
                <span class="skill-review-result-abstract__nonDefinitive">
                  {{t "pages.skill-review.flash.nonDefinitive"}}
                </span>
              </p>
            {{else}}
              <p class="rounded-panel-title skill-review-result-abstract__text">
                {{t "pages.skill-review.abstract" rate=this.masteryRate htmlSafe=true}}
              </p>
            {{/if}}
          {{/if}}

          <h2 class="sr-only">{{t "pages.skill-review.send-title"}}</h2>

          <div
            class="skill-review-result-abstract__share-container
              {{if this.showStages 'skill-review-result-abstract__share-container--left'}}"
          >
            {{#if this.showNotFinishedYetMessage}}
              <div class="skill-review-share__error-container">
                <div class="skill-review-share-error__message" aria-live="polite">
                  {{t "pages.skill-review.not-finished"}}
                </div>
                <LinkTo
                  @route="campaigns.entry-point"
                  @model={{@model.campaign.code}}
                  class="skill-review-share-error__button button button--big button--link"
                ><span class="sr-only">{{t "pages.profile.resume-campaign-banner.accessibility.resume"}}</span>{{t
                    "pages.profile.resume-campaign-banner.actions.resume"
                  }}</LinkTo>
              </div>
            {{else if this.showGlobalErrorMessage}}
              <div class="skill-review-share__error-container">
                <div class="skill-review-share-error__message" aria-live="polite">
                  {{t "pages.skill-review.error"}}
                </div>
                <LinkTo
                  @route="authentication.login"
                  class="skill-review-share-error__button button button--big button--link"
                >
                  {{t "navigation.back-to-homepage"}}
                </LinkTo>
              </div>
            {{else}}
              {{#if @model.campaign.isForAbsoluteNovice}}
                <a
                  href="#"
                  {{on "click" this.redirectToSignupIfUserIsAnonymous}}
                  class="skill-review-share__back-to-home link"
                >
                  <FaIcon @icon="arrow-right" aria-hidden="true" />
                  {{t "pages.skill-review.actions.continue"}}
                </a>
              {{else}}
                <CampaignShareButton
                  @isShared={{this.isShared}}
                  @displayPixLink={{this.displayPixLink}}
                  @shareCampaignParticipation={{this.shareCampaignParticipation}}
                  @redirectToSignupIfUserIsAnonymous={{this.redirectToSignupIfUserIsAnonymous}}
                  @isFlashCampaign={{this.isFlashCampaign}}
                />
                <div class="skill-review-share__badge-icons">
                  {{#if this.showValidBadges}}
                    <div class="skill-review-share-badge-icons skill-review-share-badge-icons--certifiable">
                      {{#each this.validBadges as |badge|}}
                        <PixTooltip @position="top" @isInline={{true}} @id="tooltip-certifiable-{{badge.key}}">
                          <:triggerElement>
                            <a href="#{{badge.title}}">
                              <img
                                aria-labelledby="tooltip-certifiable-{{badge.key}}"
                                class="skill-review-share-badge-icons__image"
                                src="{{badge.imageUrl}}"
                                alt="{{badge.altMessage}}"
                              />
                            </a>
                          </:triggerElement>
                          <:tooltip>{{badge.title}}</:tooltip>
                        </PixTooltip>
                      {{/each}}
                    </div>
                  {{/if}}
                  {{#if this.showNotCertifiableBadges}}
                    <div class="skill-review-share-badge-icons skill-review-share-badge-icons--not-certifiable">
                      {{#each this.acquiredNotCertifiableBadges as |badge|}}
                        <PixTooltip @position="top" @isInline={{true}} @id="tooltip-{{badge.key}}">
                          <:triggerElement>
                            <a href="#{{badge.title}}">
                              <img
                                aria-labelledby="tooltip-{{badge.key}}"
                                class="skill-review-share-badge-icons__image"
                                src="{{badge.imageUrl}}"
                                alt="{{badge.altMessage}}"
                              />
                            </a>
                          </:triggerElement>
                          <:tooltip>{{badge.title}}</:tooltip>
                        </PixTooltip>
                      {{/each}}
                    </div>
                  {{/if}}
                </div>
              {{/if}}
            {{/if}}
          </div>
        </div>
      </div>
      {{#if @model.campaignParticipationResult.canRetry}}
        <div class="skill-review__retry">
          <p class="skill-review-retry__message">{{t
              "pages.skill-review.retry.message"
              organizationName=@model.campaign.organizationName
            }}</p>
          <LinkTo
            @route="campaigns.entry-point"
            @model={{@model.campaign.code}}
            @query={{this.query}}
            class="skill-review-retry__button button button--big button--link"
          >{{t "pages.skill-review.retry.button"}}</LinkTo>
        </div>
      {{/if}}
      {{#if @model.trainings}}
        <section class="skill-review__trainings">
          <h2 class="skill-review-trainings__title">{{t "pages.skill-review.trainings.title"}}</h2>
          <p class="skill-review-trainings__description">{{t "pages.skill-review.trainings.description"}}</p>
          <ul class="skill-review-trainings__list">
            {{#each @model.trainings as |training|}}
              <li class="skill-review-trainings-list__item">
                <Training::Card @training={{training}} />
              </li>
            {{/each}}
          </ul>
        </section>
      {{/if}}
    </PixBlock>
  {{/if}}

  {{#if this.displayOrganizationCustomMessage}}
    <PixBlock class="skill-review__organization-message">
      {{#if @model.campaign.organizationLogoUrl}}
        <div class="skill-review-organization-message__logo">
          <img class="logo" src={{@model.campaign.organizationLogoUrl}} alt="{{@model.campaign.organizationName}}" />
        </div>
      {{/if}}
      <div class="skill-review-organization-message__content">
        <p class="skill-review-organization-message__title">{{t "pages.skill-review.organization-message"}}</p>
        <p class="skill-review-organization-message__organization-name">{{@model.campaign.organizationName}}</p>
        {{#if this.showOrganizationMessage}}
          <div class="skill-review-organization-message__text">
            <MarkdownToHtml @markdown={{@model.campaign.customResultPageText}} />
          </div>
        {{/if}}
        {{#if this.showOrganizationButton}}
          <a
            class="skill-review-organization-message__link"
            target="_blank"
            rel="noopener noreferrer"
            href={{this.customButtonUrl}}
          >{{this.customButtonText}}
            <FaIcon @icon="up-right-from-square" aria-hidden="true" />
          </a>
        {{/if}}
      </div>
    </PixBlock>
  {{/if}}

  {{#if this.showNPS}}
    <PixBlock class="skill-review__net-promoter-score">
      <div class="skill-review-net-promoter-score__logo">
        <img src="/images/illustrations/skill-review/net-promoter-score.svg" role="presentation" alt="" />
      </div>
      <div class="skill-review-net-promoter-score__content">
        <h2>{{t "pages.skill-review.net-promoter-score.title"}}</h2>
        <p>{{t "pages.skill-review.net-promoter-score.text"}}</p>
        <PixButtonLink @href="{{@model.campaign.organizationFormNPSUrl}}" target="_blank">
          {{t "pages.skill-review.net-promoter-score.link.label"}}
        </PixButtonLink>
      </div>
    </PixBlock>
  {{/if}}

  <PixBlock @shadow="heavy" class="skill-review__result-detail-container">

    {{#if this.showCertifiableBadges}}
      <div class="badge-certifiable-container">
        {{#each this.certifiableBadgesOrderedByValidity as |badge|}}
          <BadgeCardCertifiable
            @title={{badge.title}}
            @message={{badge.message}}
            @imageUrl={{badge.imageUrl}}
            @altMessage={{badge.altMessage}}
            @isAcquired={{badge.isAcquired}}
            @isValid={{badge.isValid}}
            @isCertifiable={{badge.isCertifiable}}
          />
        {{/each}}
      </div>
    {{/if}}

    {{#if this.showNotCertifiableBadges}}
      <h2 class="skill-review-result-detail__badge-subtitle">
        {{t "pages.skill-review.badges-title"}}
      </h2>
      <div class="badge-container">
        {{#each this.acquiredNotCertifiableBadges as |badge|}}
          <BadgeCard
            @title={{badge.title}}
            @message={{badge.message}}
            @imageUrl={{badge.imageUrl}}
            @altMessage={{badge.altMessage}}
            @isAcquired={{badge.isAcquired}}
          />
        {{/each}}
      </div>
    {{/if}}

    {{#if this.showImproveButton}}
      <SkillReviewImprove @improve={{this.improve}} />
    {{/if}}

    {{#unless @model.campaign.isForAbsoluteNovice}}

      <section class="skill-review-result-detail__content">
        <div class="skill-review-result-detail__table-header">
          <h2 class="skill-review-result-detail__subtitle">
            {{t "pages.skill-review.details.title"}}
          </h2>
          {{#unless this.isFlashCampaign}}
            <CircleChart @value={{this.masteryPercentage}}>
              <span
                aria-label="{{t 'pages.skill-review.details.result'}}"
                class="skill-review-table-header__circle-chart-value"
              >
                {{t "pages.skill-review.details.percentage" rate=this.masteryRate}}
              </span>
            </CircleChart>
          {{/unless}}
        </div>

        <CampaignSkillReviewCompetenceResult
          @showCleaCompetences={{this.showCleaCompetences}}
          @competenceResults={{@model.campaignParticipationResult.competenceResults}}
          @skillSetResults={{@model.campaignParticipationResult.cleaBadge.skillSetResults}}
        />
      </section>

      {{#unless this.isFlashCampaign}}
        <div class="skill-review-result-detail__information">
          <FaIcon @icon="circle-info" class="skill-review-information__info-icon" aria-hidden="true" />
          <div class="skill-review-information__text">
            {{t "pages.skill-review.information"}}
          </div>
        </div>
      {{/unless}}
    {{/unless}}
  </PixBlock>
</main>